const std = @import("std");
const sys = @import("./sys.zig");

///
/// An entry block of an Oar archive file.
///
/// Typically, following this block in memory is the file data it holds the meta-information for.
///
pub const Entry = extern struct {
    name_length: u8,
    name_buffer: [255]u8 = std.mem.zeroes([255]u8),
    file_size: u64,
    padding: [248]u8,
};
